### Method

# Gimp Image convert_precision

#### Declaration [src]

    gboolean
    gimp_image_convert_precision (
      GimpImage* image,
      GimpPrecision precision
    )

#### Description [src]

Convert the image to the specified precision

This procedure converts the image to the specified precision. Note that indexed images cannot be converted and are always in GIMP_PRECISION_U8.

Available since: | 2.10

#### Parameters

`precision` | `GimpPrecision`
| The new precision.

#### Return value

Returns: | `gboolean`
| TRUE on success.